# Class to generate a random hexadecimal string.
# The string is intended to be used with Turtle library as color parameter

class Hexa(object):
    """Class to generate a random hexadecimal string"""
    
    def __init__(self):
        # Import library
        import numpy as np
    
        # Generate pseudorandom number
        self.r = np.random.randint(0,256)
        self.g = np.random.randint(0,256)
        self.b = np.random.randint(0,256)
    
        # Some editing
        self.r_hex = str("0x%X" % self.r)
        self.g_hex = "0x%X" % self.g
        self.b_hex = "0x%X" % self.b
        self.rgb_hex = self.r_hex[1:]+self.g_hex[1:]+self.b_hex[1:]
        self.z = self.rgb_hex.replace("x","")
        self.my_string = str(self.z)
        self.my_hex_string = self.my_string.lower()

    # Define method to generate hex
    def gen_hex(self):
        """Method to generate a hex string"""
        import numpy as np
    
        # Loop while to make sure the string has 6 characters
        while len(self.my_hex_string) != 6:
            self.r = np.random.randint(0,256)
            self.g = np.random.randint(0,256)
            self.b = np.random.randint(0,256)
            self.r_hex = str("0x%X" % self.r)
            self.g_hex = "0x%X" % self.g
            self.b_hex = "0x%X" % self.b
            self.rgb_hex = self.r_hex[1:]+self.g_hex[1:]+self.b_hex[1:]
            self.z = self.rgb_hex.replace("x","")
            self.my_string = str(self.z)
            self.my_hex_string = self.my_string.lower()
